# Gimp.Image.prototype.freeze_channels

    function freeze_channels(): Boolean {
        // Gjs wrapper for gimp_image_freeze_channels()
    }

Freeze the image's channel list.

This procedure freezes the channel list of the image, suppressing any updates to the Channels dialog in response to changes to the image's channels. This can significantly improve performance while applying changes affecting the channel list.

Each call to Gimp.Image.prototype.freeze_channels should be matched by a corresponding call to Gimp.Image.prototype.thaw_channels, undoing its effects.

Since 2.10.2

Returns

  TRUE on success.